Skip to main content
GET
/
api
/
v1
/
orgs
/
{org_id}
/
audit-logs
List Org Audit Logs
curl --request GET \
  --url https://api.example.com/api/v1/orgs/{org_id}/audit-logs
import requests

url = "https://api.example.com/api/v1/orgs/{org_id}/audit-logs"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v1/orgs/{org_id}/audit-logs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "<string>",
      "event_id": "<string>",
      "event_version": "<string>",
      "action": "<string>",
      "result": "<string>",
      "source_service": "<string>",
      "request_id": "<string>",
      "environment": "<string>",
      "resource_type": "<string>",
      "resource_id": "<string>",
      "metadata": {}
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Headers

Authorization
string | null

Path Parameters

org_id
string
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0
user_id
string | null
event_id
string | null
resource_type
string | null
result
string | null
source_service
string | null
request_id
string | null
start_date
string<date-time> | null
end_date
string<date-time> | null

Response

Successful Response

items
AuditLogRead · object[]
required
total
integer
required
limit
integer
required
offset
integer
required